# ALX Utils

## Description

ALX Utils is a collection of utility tools for ALX. It includes a 
`init-task` : automate daily tasks by creating directories and files with specified names, getting prototypes of functions. for scripts setting the shebang, and permissions to executable
`test-suite`: set up a test-driven development environment for your project by creating a test directory and downloading test scripts, and providing a cli for controlling tests
`soon`: betty pre-commit, devcontainer... 

## Installation

You can install ALX Utils using `pip` by running the command 
```bash
pip install alx-utils
```

## Usage

### init-Task Tool:
```bash
alx-utils -init [HTML_FILE]
```

### test-suite Tool:
```bash
alx-utils -checker shell
```

## Dependencies

ALX Utils requires Python >3.6 and depends on the following packages:

- beautifulsoup4

## Contributing

Contributions to ALX Utils are welcome and appreciated! If you would like to contribute, please follow these steps:

- Fork the repository on GitHub.
- Clone your forked repository to your local machine.
- Create a new branch for your changes.
- Make your changes and commit them to your branch.
- Push your changes to your forked repository on GitHub.
- Open a pull request from your forked repository to the original repository.

Please make sure to follow the code style and guidelines of the project. Thank you for considering contributing to ALX Utils!

## License

This package is released under the MIT License. See the [LICENSE](LICENSE) file for more information.
